photopile(6x)

NAME
photopile - displays multiple images in a periodically shuffled pile

SYNOPSIS
photopile [--display host:display.screen] [--visual visual] [--window] [--root] [--window-id number] [--count int] [--scale factor] [--maxTilt degrees] [--titles | --no-titles] [--polaroid | --no-polaroid] [--shadows | --no-shadows] [--font font] [--speed ratio] [--duration seconds] [--fps] [--debug] [--wireframe]

DESCRIPTION
Loads several random images, and displays them as if lying in a random pile. The pile is periodically reshuffled, with new images coming in and old ones being thrown out.

This program requires a good video card capable of supporting large textures.

To specify the directory that images are loaded from, run xscreensaver-settings(1) and click on the "Advanced" tab.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--count int
    How many images to display. Default 7.

--scale factor
    Size of images in relation to the size of the window. Default 0.4.

--maxTilt degrees
    Maximum deviation from vertical. Default 50 degrees.

--duration seconds
    Every duration seconds, one of the images will be replaced with a new one. Default 5 seconds.

--speed ratio
    Speed up or slow down the animation. 0.5 means half as fast as the default; 2.0 means twice as fast.

--delay number
    Per-frame delay, in microseconds. Default: 10000 (0.01 seconds.).

--titles | --no-titles
    Whether to display the file names of the images beneath them. Default: yes.

--polaroid | --no-polaroid
    Whether to simulate images taken by an instant camera. Default: yes.

--shadows | --no-shadows
    Whether to draw images with drop shadows. Default: no.

--font font-name
    The font to use for the initial loading screen and for image titles.

--fps
    Display the current frame rate, CPU load, and polygon count.

--debug
    Prints debugging info to stderr.

--wireframe
    Another debug mode.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver-settings(1) xscreensaver-getimage(6x) xscreensaver(1) carousel(6x) glslideshow(6x)

COPYRIGHT
Copyright © 2005 by Jamie Zawinski. Copyright © 2008 by Jens Kilian.

Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jens Kilian.